v 14.0 Third Party 7211
Download for v 14.0 Deploy on Odoo.sh Live Preview
Required Apps Employees (hr)
Recruitment (hr_recruitment)
Time Off (hr_holidays)
Project (project)
Included Dependencies
Lines of code 12344
Technical Name hrms_dashboard
LicenseAGPL-3
Websitehttps://www.openhrms.com
Also available in version v 11.0 v 13.0 v 12.0 v 10.0
You bought this module and need support? Click here!
Required Apps Employees (hr)
Recruitment (hr_recruitment)
Time Off (hr_holidays)
Project (project)
Included Dependencies
Lines of code 12344
Technical Name hrms_dashboard
LicenseAGPL-3
Websitehttps://www.openhrms.com
Also available in version v 11.0 v 13.0 v 12.0 v 10.0

OpenHRMS Dashboard

Most Advanced Open-Source HR Management Software

Overview


Human Resource Departments have a lot to manage and volume to track with reports ever growing. Fortunately, technologies provide elegant solutions to track and monitor every essential Human Resource activities. Open HRMS HR Dashboard provides a visually engaging palate for seamless management of Human Resource functions. It provides executives and employees the information they need. Open HRMS Dashboard comes intuitive and interactive connecting every dots of your data like never before. With Open HRMS HR dashboard, facilitates with various metrics helping easy to view, understand, and share data. Experience the new kind of responsiveness with Open HRMS Dashboard.

Key Features


Provides all essential tools to deliver real-time informations.

Employees quick access to their timesheets, company contracts and their board factor for analyzing their leave.

Managers to view employee division by departments from department wise employee graph.

Manager to view leave allocation requests, leaves for the day and month, job applications and finally approval of leaves after verification.

Screenshots


01

Dashboard

Open HRMS HR Dashboard provides you with all essential tools to deliver real-time informations

02

Monthly Leave Analysis

Open HRMS HR Dashboard gets you with monthly leave analysis of employees from various departments. Open HRMS HR Dashboard showcases the department wise leave percentage for quick and easy understanding.

03

Join / Resign Analysis

You will also able to see the monthly join/resign analysis and attrition rate analysis.

04

Leave Analysis

The HR Dashboard also gives a glimpse of the upcoming birthdays of employees creating the mood for celebration. Also the upcoming events and announcements. Open HRMS HR Dashboard facilitates each employee to log in and conduct their own leave analysis for the past six months.

Suggested Products


Our Services


Odoo Customization
Odoo Implementation
Odoo Support
Hire Odoo Developer
Odoo Integration
Odoo Migration
Odoo Consultancy
Odoo Implementation
Odoo Licensing Consultancy

Our Industries


Trading

Easily procure and sell your products

POS

Easy configuration and convivial experience

Education

A platform for educational management

Manufacturing

Plan, track and schedule your operations

E-commerce & Website

Mobile friendly, awe-inspiring product pages

Service Management

Keep track of services and invoice

Restaurant

Run your bar or restaurant methodically

Hotel Management

An all-inclusive hotel management application

Need Help?



Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author, please use the developer contact information. They can usually be found in the description.
Please choose a rating from 1 to 5 for this module.
by
Munna Sah
on 6/3/21, 4:56 AM

In odoo14 version Open HRMS - HR Dashboard module installed successfully it working fine in user and admin we can dashboard templates. But in superuser mode unable to see the dashboard templates when click dashboard it show errors like this -

Error : Could not find employee linked to user

Please contact system admin for the setup
I need your help

Re:
by
Cybrosys Technologies
on 6/3/21, 5:27 AM Author

We received your email as well,
We are investigating the issue


Bug at payroll calculation for Odoo 13 CE
by
Gan
on 12/23/20, 7:54 PM

Some salary rules items could not be calculated when the employee salary is either RM2000 or RM4000.

Started using this module since Aug 2020. Months affected are Sept 2020 and Nov 2020. Aug, Oct and Dec 2020 payslip calculation are unaffected.

Sent a detailed email to odoo@cybrosys.com with attachment of pictures on the 23/12/2020 (Malaysia) in the morning but have not received a reply.

Re: Bug at payroll calculation for Odoo 13 CE
by
Cybrosys Technologies
on 1/13/21, 2:32 AM Author

Hello Gan,
Hope it is cleared.


Glitch
by
tom
on 11/23/20, 3:07 AM

Does not work correctly shows employee all information, nothing in record rule or access.

Does not work, OPENHRMS want to charge to fix

Re: Glitch
by
Cybrosys Technologies
on 11/23/20, 10:11 PM Author

Thanks for reporting. 

It is fixed, We dont charge for bug fixes.

Sorry for the misunderstanding.


bug for odoo14 CE
by
戴宝明
on 3/29/21, 12:22 AM
Odoo Server Error
Traceback (most recent call last):
  File "C:\o14\server\odoo\addons\base\models\ir_http.py", line 237, in _dispatch
    result = request.dispatch()
  File "C:\o14\server\odoo\http.py", line 683, in dispatch
    result = self._call_function(**self.params)
  File "C:\o14\server\odoo\http.py", line 359, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "C:\o14\server\odoo\service\model.py", line 94, in wrapper
    return f(dbname, *args, **kwargs)
  File "C:\o14\server\odoo\http.py", line 347, in checked_call
    result = self.endpoint(*a, **kw)
  File "C:\o14\server\odoo\http.py", line 912, in __call__
    return self.method(*args, **kw)
  File "C:\o14\server\odoo\http.py", line 531, in response_wrap
    response = f(*args, **kw)
  File "C:\o14\server\odoo\addons\web\controllers\main.py", line 1377, in call_kw
    return self._call_kw(model, method, args, kwargs)
  File "C:\o14\server\odoo\addons\web\controllers\main.py", line 1369, in _call_kw
    return call_kw(request.env[model], method, args, kwargs)
  File "C:\o14\server\odoo\api.py", line 392, in call_kw
    result = _call_kw_model(method, model, args, kwargs)
  File "C:\o14\server\odoo\api.py", line 365, in _call_kw_model
    result = method(recs, *args, **kwargs)
  File "C:\o14\server\odoo\addons\hrms_dashboard\models\hrms_dashboard.py", line 404, in get_attrition_rate
    match_join = list(filter(lambda d: d['l_month'] == month_emp[1].split(' ')[:1][0].strip()[:3], month_join))[0]['count']
Exception
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "C:\o14\server\odoo\http.py", line 639, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "C:\o14\server\odoo\http.py", line 315, in _handle_exception
    raise exception.with_traceback(None) from new_cause
IndexError: list index out of range

need bug fixed
by
戴宝明
on 3/29/21, 12:22 AM
Odoo Server Error
Traceback (most recent call last):
  File "C:\o14\server\odoo\addons\base\models\ir_http.py", line 237, in _dispatch
    result = request.dispatch()
  File "C:\o14\server\odoo\http.py", line 683, in dispatch
    result = self._call_function(**self.params)
  File "C:\o14\server\odoo\http.py", line 359, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "C:\o14\server\odoo\service\model.py", line 94, in wrapper
    return f(dbname, *args, **kwargs)
  File "C:\o14\server\odoo\http.py", line 347, in checked_call
    result = self.endpoint(*a, **kw)
  File "C:\o14\server\odoo\http.py", line 912, in __call__
    return self.method(*args, **kw)
  File "C:\o14\server\odoo\http.py", line 531, in response_wrap
    response = f(*args, **kw)
  File "C:\o14\server\odoo\addons\web\controllers\main.py", line 1377, in call_kw
    return self._call_kw(model, method, args, kwargs)
  File "C:\o14\server\odoo\addons\web\controllers\main.py", line 1369, in _call_kw
    return call_kw(request.env[model], method, args, kwargs)
  File "C:\o14\server\odoo\api.py", line 392, in call_kw
    result = _call_kw_model(method, model, args, kwargs)
  File "C:\o14\server\odoo\api.py", line 365, in _call_kw_model
    result = method(recs, *args, **kwargs)
  File "C:\o14\server\odoo\addons\hrms_dashboard\models\hrms_dashboard.py", line 404, in get_attrition_rate
    match_join = list(filter(lambda d: d['l_month'] == month_emp[1].split(' ')[:1][0].strip()[:3], month_join))[0]['count']
Exception
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "C:\o14\server\odoo\http.py", line 639, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "C:\o14\server\odoo\http.py", line 315, in _handle_exception
    raise exception.with_traceback(None) from new_cause
IndexError: list index out of range

can not work under odoo14
by
戴宝明
on 3/29/21, 12:21 AM

Odoo Server Error Traceback (most recent call last): File "C:\o14\server\odoo\addons\base\models\ir_http.py", line 237, in _dispatch result = request.dispatch() File "C:\o14\server\odoo\http.py", line 683, in dispatch result = self._call_function(**self.params) File "C:\o14\server\odoo\http.py", line 359, in _call_function return checked_call(self.db, *args, **kwargs) File "C:\o14\server\odoo\service\model.py", line 94, in wrapper return f(dbname, *args, **kwargs) File "C:\o14\server\odoo\http.py", line 347, in checked_call result = self.endpoint(*a, **kw) File "C:\o14\server\odoo\http.py", line 912, in __call__ return self.method(*args, **kw) File "C:\o14\server\odoo\http.py", line 531, in response_wrap response = f(*args, **kw) File "C:\o14\server\odoo\addons\web\controllers\main.py", line 1377, in call_kw return self._call_kw(model, method, args, kwargs) File "C:\o14\server\odoo\addons\web\controllers\main.py", line 1369, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "C:\o14\server\odoo\api.py", line 392, in call_kw result = _call_kw_model(method, model, args, kwargs) File "C:\o14\server\odoo\api.py", line 365, in _call_kw_model result = method(recs, *args, **kwargs) File "C:\o14\server\odoo\addons\hrms_dashboard\models\hrms_dashboard.py", line 404, in get_attrition_rate match_join = list(filter(lambda d: d['l_month'] == month_emp[1].split(' ')[:1][0].strip()[:3], month_join))[0]['count'] Exception The above exception was the direct cause of the following exception: Traceback (most recent call last): File "C:\o14\server\odoo\http.py", line 639, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "C:\o14\server\odoo\http.py", line 315, in _handle_exception raise exception.with_traceback(None) from new_cause IndexError: list index out of range


Pandas installed, still giving error
by
Dr. Rajesh Rolen
on 1/12/21, 11:45 PM

I have installed pandas on server but still giving error for that, please help me

Re: Pandas installed, still giving error
by
Cybrosys Technologies
on 1/13/21, 2:26 AM Author

Please contact us on odoo@cybrosys.com, since there are many causes. Our tech team will assist you.


IndexError: list index out of range
by
louriewang
on 10/17/20, 7:52 PM
 File "/usr/lib/python3/dist-packages/odoo/myaddons/hrms_dashboard/models/hrms_dashboard.py", line 395, in get_attrition_rate
    list(filter(lambda d: d['l_month'] == month_emp[1].split(' ')[:1][0].strip()[:3], month_join))[0][
IndexError: list index out of range
Re: IndexError: list index out of range
by
Cybrosys Technologies
on 1/13/21, 2:33 AM Author

Fixed